Lua_StringArray = class("Lua_StringArray");
function Lua_StringArray:ctor()
	self.content = "";
end

function Lua_StringArray:clear()
	self.content = "";
end

function Lua_StringArray:writeInt(num)
	num = num == nil and 0 or num;
	self.content = self.content..num.."|";
end

function Lua_StringArray:writeString(str)
	self.content = self.content..str.."|";
end

function Lua_StringArray:writeBool(val)
	val = val ~= nil and val or false;
	if val then
		self.content = self.content.."1|";
	else
		self.content = self.content.."0|";
	end
end

function Lua_StringArray:decodeContent()
	self.arr = string.split(self.content, "|");
	self.index = 1;
end

function Lua_StringArray:getInt(n)
	local moveNext = n == nil and true or n;
	local val = self.arr[self.index];
	if moveNext == true then
		self.index = self.index + 1;
	end
	return tonumber(val);
end

function Lua_StringArray:getString(n)
	local moveNext = n == nil and true or n;
	local val = self.arr[self.index];
	if moveNext == true then
		self.index = self.index + 1;
	end
	return val;
end

function Lua_StringArray:getBool(n)
	local moveNext = n == nil and true or n;
	local val = self.arr[self.index];
	if moveNext == true then
		self.index = self.index + 1;
	end
	return tonumber(val) == 1;
end