-- 加载进度条数据
Lua_LoadingScreenData = class("Lua_LoadingScreenData");
Lua_LoadingScreenData.LOADING_CODE = 1;
Lua_LoadingScreenData.LOADING_RES = 2;
Lua_LoadingScreenData.LOADING_NOR = 3;
Lua_LoadingScreenData.LOADING_NO_BG = 4;
Lua_LoadingScreenData.LOADING_CONFIG = 5;
Lua_LoadingScreenData.LOADING_LOGIN = 6;
function Lua_LoadingScreenData:ctor()
	self:superCall("ctor");
	self.maxValue = 0;
	self.curValue = 0;
	self.ltype = Lua_LoadingScreenData.LOADING_NOR;
end

function Lua_LoadingScreenData.getData(maxValue, curValue, str, ltype)
	local data = Lua_LoadingScreenData.instance;
	if data == nil then
		data = Lua_LoadingScreenData.new();
		Lua_LoadingScreenData.instance = data;
	end

	if ltype == nil then ltype = Lua_LoadingScreenData.LOADING_NOR; end
    data.maxValue = maxValue;
    data.curValue = curValue;
    data.str = str;
    data.ltype = ltype;
	return data;
end