-- 服务器页签列表item
Lua_ServerTitleItem = class("Lua_ServerTitleItem", Lua_ListCell)
function Lua_ServerTitleItem:ctor(p)
    self:superCall("ctor", p, "ServerTitleItem_skin");
end

function Lua_ServerTitleItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_ServerTitleItem:dispose()
	self.data = nil;
    self:superCall("dispose");
end

function Lua_ServerTitleItem:setData(data)
    self.data = data;
    self.txt.text = data.name;
    self:updateData();
end

function Lua_ServerTitleItem:updateData()
    if self.data ~= nil and self.data.selected then
        self.bg:setAltas("login_atlas", "xui_cjjs_button_9_p");
    else
        self.bg:setAltas("login_atlas", "xui_cjjs_button_9_n");
    end
end

function Lua_ServerTitleItem:onPressClick()
    if self.data and not self.data.selected then
        Lua_MsgUtil.callFunc("SELECTE_SERVER_INDEX", self.data.zone);
    end
end