-- 平台工具类
Lua_PlatformUtil = class("Lua_PlatformUtil")
local Application = UnityEngine.Application;
local platform = UnityEngine.Application.platform;
local runtimePlatform = UnityEngine.RuntimePlatform;
local QualitySettings = UnityEngine.QualitySettings;
function Lua_PlatformUtil.IsWindowsEditor()
    return platform == runtimePlatform.WindowsEditor
end

function Lua_PlatformUtil.IsWindowsPlayer()
    return platform == runtimePlatform.WindowsPlayer
end

function Lua_PlatformUtil.IsAndroid()
    return platform == runtimePlatform.Android
end

function Lua_PlatformUtil.IsIPhonePlayer()
    return platform == runtimePlatform.IPhonePlayer
end

function Lua_PlatformUtil.IsWebGLPlayer()
    return platform == runtimePlatform.WebGLPlayer
end

function Lua_PlatformUtil.IsNoSdk()
    return SDKInfo.IsNoSdk
end

-- 版署
function Lua_PlatformUtil.IsBanShu()
    return getPackNum() == 60001 and getChannelName() == "banshu"
end
