Lua_ListCell = class("Lua_ListCell", Lua_DisplayObject);
function Lua_ListCell:ctor(p, skin)
	self.frameBuild = false;
	self._selected = false;
	self:superCall("ctor", p, skin, false);
end

function Lua_ListCell:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_ListCell:dispose()
	self._selected = false;
	if self.subList ~= nil then
		self.subList:dispose();
		self.subList = nil;
	end
	self:superCall("dispose");
end

function Lua_ListCell:checkInBound(posX, posY)
	local minX = self.centerPosX - self.w / 2;
	local maxX = self.centerPosX + self.w / 2;
	local minY = self.centerPosY - self.h / 2;
	local maxY = self.centerPosY + self.h / 2;
	if posX >= minX and posX <= maxX and posY >= minY and posY <= maxY then
		return true;
	end
	return false
end

function Lua_ListCell.Get:selected()
	return self._selected;
end

function Lua_ListCell:setCustomParam(customParam)

end

function Lua_ListCell:setData(data)

end

function Lua_ListCell:setSubList(subList)
	self.subList = subList;
	if subList ~= nil then
		subList.isSubList = true;
	end
end

function Lua_ListCell:setCellSeqIndex(idx)
	self.cellSeqIndex = idx;
	self.content.name = self.classname..self.cellSeqIndex;
end

function Lua_ListCell:onSelectionChange(bSelected)
	self._selected = bSelected;
end

function Lua_ListCell:onPressClick()

end

function Lua_ListCell:onLongPressClick()

end

function Lua_ListCell:onMouseDownHandle()

end

function Lua_ListCell:onMouseUpHandle()

end