Lua_ProxyManager = { };
function Lua_ProxyManager.initProxy()
    Lua_ProxyManager.addProxy("Lua_LoginProxy");
    Lua_ProxyManager.addProxy("Lua_PreLoadProxy");
    Lua_ProxyManager.addProxy("Lua_GuideProxy");
    Lua_ProxyManager.addProxy("Lua_AudioProxy");
end

function Lua_ProxyManager.addProxy(name)
    if Lua_ProxyManager.proxy == nil then
        Lua_ProxyManager.proxy = {};
    end
    if Lua_ProxyManager.proxy[name] ~= nil then
        return;
    end
    
    local c = checkRequire(name);
    local v = c.new();
    Lua_ProxyManager.proxy[c.classname] = v;
end

function Lua_ProxyManager.getProxy(name)
    return Lua_ProxyManager.proxy[name];
end

function Lua_ProxyManager.updateSingleProxy(name)
    if Lua_ProxyManager.proxy[name] ~= nil then
        Lua_ProxyManager.proxy[name] = nil;
        local c = checkRequire(name);
        local v = c.new();
        Lua_ProxyManager.proxy[c.classname] = v;
    end
end