-- 我的服务器列表item
Lua_MyServerListItem = class("Lua_MyServerListItem", Lua_ListCell);
function Lua_MyServerListItem:ctor(p)
    self:superCall("ctor", p, "MyServerListItem_skin");
end

function Lua_MyServerListItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_MyServerListItem:dispose()
	self.data = nil;
    self:superCall("dispose");
end

function Lua_MyServerListItem:setData(data)
    self.data = data;
    local roleData = data.showRoleData;
    if roleData ~= nil then
        local atlas = getConfig("dress", roleData.avatar, "atlas");
        local sprite = getConfig("dress", roleData.avatar, "sprite");
        self.headIcon:setAltas(atlas, sprite);
        self.roleLvlTxt.text = tostring(roleData.level);
        self.roleNameTxt.text = roleData.role_name;
    end
    self.serverNameTxt.text = data.name;
end

function Lua_MyServerListItem:onPressClick()
    if self.data == nil then
        return;
    end
    Lua_MsgUtil.callFunc("SELECTE_SERVER", self.data);
end