-- 适龄提示
Lua_AgeTipsWindow = class("Lua_AgeTipsWindow", Lua_Window)
function Lua_AgeTipsWindow:ctor()
	self:superCall("ctor")

	self.windowName = "Lua_AgeTipsWindow"
	self.skinName = "AgeTipsWindow_skin"
	self.showBlackMask = true
	self.winBgPath = "/images/common/ui_common_window_011.png"
	self.openSound = nil
	self.closeSound = nil
	self:addPreLoadRes(self.winBgPath, Lua_LoadFileType.IMG)
end

function Lua_AgeTipsWindow:buildShowItem()
	self:superCall("buildShowItem")

	self.contentList = Lua_DragContainer.new(self.content, 485, 650, Lua_AxisDefine.Vertical)
	self.contentList:setLocation(8, 32.5, 0)
	self.contentList:setMaskOffect(10, 0)
	self.contentList:addSubContainer(Lua_AgeTipsItem, 380005, true)
	self.contentList.canDrag = not self.contentList.isTheEnd

	self.btnSure:addClickFuntion(self, self.hide)
end

function Lua_AgeTipsWindow:dispose()
	if self.contentList then
		self.contentList:dispose()
		self.contentList = nil
	end
	self:superCall("dispose")
end





















Lua_AgeTipsItem = class("Lua_AgeTipsItem", Lua_DragContainerItem)
function Lua_AgeTipsItem:ctor(p)
	self:superCall("ctor", p)
end

function Lua_AgeTipsItem:buildShowItem()
	self:superCall("buildShowItem")

	self.tipsText = UICreate.createLabel(self.content, nil, 0, 0, 485, 0, 24)
	self.tipsText.verticalOverflowValue = 1
	self.tipsText.colorStr = Lua_ColorDefine.transColorStr("846651")
end

function Lua_AgeTipsItem:dispose()
	self:superCall("dispose")
end

function Lua_AgeTipsItem:getWidth()
	return self.tipsText.width
end

function Lua_AgeTipsItem:getHeight()
	return self.tipsText.height
end

function Lua_AgeTipsItem:setData(data)
	self.tipsText:setLangValue(data)
	self.tipsText:resetSize()
end