-- 音效
Lua_AudioUtil = class("Lua_AudioUtil");
function Lua_AudioUtil:ctor()
    self:superCall("ctor");
    
end

function Lua_AudioUtil:checkVolume(playerId, volume, cfgVol)
	volume = (cfgVol ~= nil and volume > cfgVol) and cfgVol or volume;
	if playerId == Lua_AudioDefine.PLAYER_BG or playerId == Lua_AudioDefine.PLAYER_SCENE then
		if PlayerPrefsUtil.instance.isPlayMusicVal == 0 then
            return 0;
        end
        return volume * PlayerPrefsUtil.instance.musicVolume / 100;
	elseif playerId == Lua_AudioDefine.PLAYER_SOUND or playerId == Lua_AudioDefine.PLAYER_UI or playerId == Lua_AudioDefine.PLAYER_NPC then
		if PlayerPrefsUtil.instance.isPlaySoundVal == 0 then
            return 0;
        end
        return volume * PlayerPrefsUtil.instance.soundVolume / 100;
	elseif playerId == Lua_AudioDefine.PLAYER_CHAT then
		if PlayerPrefsUtil.instance.isPlayVoiceVal == 0 then
            return 0;
        end
        return volume * PlayerPrefsUtil.instance.voiceVolume / 100;
	end
    return volume;
end