-- 上报sdk接口
Lua_SDKMessageType = {};
Lua_SDKMessageType.Init = "Init"; -- 初始化
Lua_SDKMessageType.Login = "Login"; -- 登录
Lua_SDKMessageType.LoginYYB = "LoginYYB"; -- 登录（YYB）
Lua_SDKMessageType.LoginOut = "LoginOut"; -- sdk退出
Lua_SDKMessageType.UpdatePlayerInfo = "UpdatePlayerInfo"; -- 玩家信息
-- Lua_SDKMessageType.UpdateLevel = "UpdateLevel"; -- 等级变化
-- Lua_SDKMessageType.CreateRole = "CreateRole"; -- 创角
Lua_SDKMessageType.OpenAlbum = "OpenAlbum"; -- 获取图片路径
Lua_SDKMessageType.Exit = "Exit"; -- 退出
Lua_SDKMessageType.PointOut = "PointOut"; -- 支付
Lua_SDKMessageType.GetScreenHeight = "GetScreenHeight"; -- 刘海
Lua_SDKMessageType.WebActivity = "WebActivity"; -- 跳转网页链接
-- Lua_SDKMessageType.EnterGame = "EnterGame"; -- 进入游戏主界面
Lua_SDKMessageType.SetClipBoard = "SetClipBoard"; -- 复制到剪切板
Lua_SDKMessageType.GoAppStore = "GoAppStore"; -- 跳转商店



-- sdk下发数据func标识
Lua_SDKMessageType.netState = "netState"; -- 网络
Lua_SDKMessageType.phoneinfo = "phoneinfo"; -- 设备信息
Lua_SDKMessageType.login = "login"; -- 登陆成功返回给客户端
Lua_SDKMessageType.changeuser = "changeuser"; -- 切换用户成功返回给客户端
Lua_SDKMessageType.logout = "loginout"; -- 注销
Lua_SDKMessageType.Openalbum = "OpenAlbum"; -- 上传图片
Lua_SDKMessageType.ScreenHeight = "ScreenHeight"; -- 刘海高度
Lua_SDKMessageType.RunBackGround = "RunBackGround"; -- 程序后台运行状态变化, 0正常运行状态，1后台运行状态


-- 网络状态类型
Lua_SDKMessageType.NO_NET = "null";
Lua_SDKMessageType.NET_WIFT = "wifi";
Lua_SDKMessageType.NET_2G = "2g";
Lua_SDKMessageType.NET_3G = "3g";
Lua_SDKMessageType.NET_4G = "4g";


-- sdk上报玩家信息类型 UpdatePlayerInfo
Lua_SDKMessageType.UpdatePlayerInfo_SyncInfo = 0; -- 除外等级变化的玩家更新（绕不清楚找sdk）
Lua_SDKMessageType.UpdatePlayerInfo_CreateRole = 1; -- 创角
Lua_SDKMessageType.UpdatePlayerInfo_EnterGame = 2; -- 进入游戏
Lua_SDKMessageType.UpdatePlayerInfo_PlayerUpdate = 3; -- 玩家更新
Lua_SDKMessageType.UpdatePlayerInfo_UnCreateRole_PlayerUpdate = 4; -- 未创角玩家更新或进入游戏（绕不清楚找sdk）


-- bugly上报接口
Lua_SDKMessageType.bugly_Init = "Init"; -- 初始化bugly
Lua_SDKMessageType.bugly_testJavaCrash = "testJavaCrash"; -- 测试调试
Lua_SDKMessageType.bugly_setUserId = "setUserId"; -- 设置用户id
Lua_SDKMessageType.bugly_setDeviceId = "setDeviceId"; -- 设置设备
Lua_SDKMessageType.bugly_setAllThreadStackEnable = "setAllThreadStackEnable"; -- 设置crash和anr时是否获取全部堆栈
Lua_SDKMessageType.bugly_putUserData = "putUserData"; -- 设置自定义map参数
Lua_SDKMessageType.bugly_setIsDevelopmentDevice = "setIsDevelopmentDevice"; -- 设置开发设备
Lua_SDKMessageType.bugly_setbuglylogCache = "setbuglylogCache"; -- 设置buglylog cache
Lua_SDKMessageType.bugly_buglylog = "buglylog"; -- 自定义日志功能
Lua_SDKMessageType.bugly_postException = "postException"; -- 自定义错误功能，对应bugly后台错误日志